# playbin2.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/pipeline.h>`
`#include <gstreamermm/element.h>`
`#include <gstreamermm/buffer.h>`
`#include <gstreamermm/taglist.h>`
`#include <gstreamermm/caps.h>`
`#include <gstreamermm/pad.h>`

Go to the source code of this file.

## Classes
class | Gst::PlayBin2
| Gst::PlayBin2 - playbin2 plugin. More...
## Namespaces
namespace | Gst
namespace | Glib
## Enumerations
enum | Gst::PlayFlags { Gst::PLAY_FLAG_VIDEO = 1 << 0, Gst::PLAY_FLAG_AUDIO = 1 << 1, Gst::PLAY_FLAG_TEXT = 1 << 2, Gst::PLAY_FLAG_VIS = 1 << 3, Gst::PLAY_FLAG_SOFT_VOLUME = 1 << 4, Gst::PLAY_FLAG_NATIVE_AUDIO = 1 << 5, Gst::PLAY_FLAG_NATIVE_VIDEO = 1 << 6 }
## Functions
PlayFlags | Gst::operator| (PlayFlags lhs, PlayFlags rhs)
PlayFlags | Gst::operator& (PlayFlags lhs, PlayFlags rhs)
PlayFlags | Gst::operator^ (PlayFlags lhs, PlayFlags rhs)
PlayFlags | Gst::operator~ (PlayFlags flags)
PlayFlags& | Gst::operator|= (PlayFlags& lhs, PlayFlags rhs)
PlayFlags& | Gst::operator&= (PlayFlags& lhs, PlayFlags rhs)
PlayFlags& | Gst::operator^= (PlayFlags& lhs, PlayFlags rhs)